{%- extends "base.njk" %}

{%- block main %}

    <h1 class="main__header">About Me</h1>
    <img class="headshot" src="/img/headshot.jpg" />
    <p>I'm Sean Manierre and i'm a {{ age }} year old Software Developer (ish). 
    I've been interested in programming since highschool when I started with HTML, CSS, and Javascript. 
    Since then, i've dabbled in Python, Java, and C++ (very briefly for school only). I've since settled on using Go
    for most of my projects and I usually settle on React for any frontend work that needs to be done if plain HTML and CSS isn't sufficient.</p>

    <p>A lot of this blog will probably pertain to programming and my home lab setup (as the categories would suggest).
    The miscellaneous section will most likely contain information about my hobbies, mainly cars and shooting at the moment, 
    but that could change or be expanded upon down the road.
    I'm hoping to go into some good technical depth about stuff so when I forget it a month later I can come back here for a good reference, 
    also to help out anyone else that may experience the same issues.
    </p>

    <p>The site itself is built with <a href="https://11ty.dev">11ty</a>, which is a static site generator written in Javascript. 
    I'm using <a href="https://mozilla.github.io/nunjucks/">nunjucks</a> templates for the pages, and all the posts are written in plain old markdown.
    For the styling i'm using <a href="https://sass-lang.com/">Sass</a> (well technically scss, but same thing). Sass is a bit overkill for this site, 
    my stylesheet is only about 100 lines long, although if I ever decide to switch up the styles, it'll be nice to have it setup already.
    As for hosting, at the time of writing i'm expecting it to end up behind a yet to be setup nginx (or the like) on an old Mac Mini. 
    Hoping to eventually migrate to an actual server in a rack in the future.</p>
{%- endblock %}